commit cd0b91e1dfa6a60e7e7981207c43695f0ba422a1
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Sat Sep 24 08:50:03 2022

    aarch64: testsuite: disable stack protector for pr104005.c
    
    Storing stack guarding variable need one stp instruction, breaking the
    scan-assembler-not pattern in the test.  Disable stack protector to
    avoid a test failure with --enable-default-ssp.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/aarch64/pr104005.c (dg-options): Add
            -fno-stack-protector.
    
    (cherry picked from commit 5937cfb981debb2aeb72a1ed255fc3ed5a5835c4)

diff --git a/gcc/testsuite/gcc.target/aarch64/pr104005.c b/gcc/testsuite/gcc.target/aarch64/pr104005.c
index 09dd81910eb..9f1ef2dc308 100644
--- a/gcc/testsuite/gcc.target/aarch64/pr104005.c
+++ b/gcc/testsuite/gcc.target/aarch64/pr104005.c
@@ -1,4 +1,4 @@
-/* { dg-options "-O2 -funroll-loops" } */
+/* { dg-options "-O2 -funroll-loops -fno-stack-protector" } */
 
 typedef int v2 __attribute__((vector_size(8)));
 

